package com.ruoyi.bst.suit.service;

import java.util.List;

import com.ruoyi.bst.store.domain.StoreQuery;
import com.ruoyi.bst.store.domain.StoreVO;
import com.ruoyi.bst.suit.domain.Suit;
import com.ruoyi.bst.suit.domain.SuitVO;
import com.ruoyi.bst.suit.domain.SuitQuery;

/**
 * 套餐Service接口
 *
 * @author ruoyi
 * @date 2025-04-25
 */
public interface SuitService
{
    /**
     * 查询套餐
     *
     * @param suitId 套餐主键
     * @return 套餐
     */
    public SuitVO selectSuitBySuitId(Long suitId);

    /**
     * 查询套餐列表
     *
     * @param suit 套餐
     * @return 套餐集合
     */
    public List<SuitVO> selectSuitList(SuitQuery suit);

    /**
     * 新增套餐
     *
     * @param suit 套餐
     * @return 结果
     */
    public int insertSuit(Suit suit);

    /**
     * 修改套餐
     *
     * @param suit 套餐
     * @return 结果
     */
    public int updateSuit(Suit suit);

    /**
     * 批量删除套餐
     *
     * @param suitIds 需要删除的套餐主键集合
     * @return 结果
     */
    public int deleteSuitBySuitIds(List<Long> suitIds);

    /**
     * 删除套餐信息
     *
     * @param suitId 套餐主键
     * @return 结果
     */
    public int deleteSuitBySuitId(Long suitId);

    /**
     * 查询套餐
     *
     * @param id 套餐主键
     * @return 套餐
     */
    public SuitVO selectSuitById(Long id, boolean scope);

    default SuitVO selectSuitById(Long id) {
        return this.selectSuitById(id, false);
    }

    public SuitVO selectOne(SuitQuery query);


    /**
     * 逻辑删除套餐
     *
     * @param ids 需要删除的运营区主键集合
     * @return 结果
     */
    public int logicDel(List<Long> ids);

}
